Name:          byacc
Version:       20240109
Release:       1mamba
Summary:       an LALR parser generator.
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://invisible-island.net/byacc/byacc.html
Source:        https://invisible-mirror.net/archives/byacc/byacc-%{version}.tgz
License:       Public Domain
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
Berkeley Yacc (byacc) is generally conceded to be the best yacc variant available. 
In contrast to bison, it is written to avoid dependencies upon a particular compiler.

%debug_package

%prep
%setup -q

%build
%configure --disable-dependency-tracking
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
# fix conflicts with file from package bison
mv yacc %{buildroot}%{_bindir}/byacc
mv yacc.1 %{buildroot}%{_mandir}/man1/byaccc.1
rm -rf %{buildroot}%{_mandir}/man1/yacc.1*
rm -rf %{buildroot}%{_bindir}/yacc

%check
make check

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/byacc
%{_mandir}/man1/byaccc.1*
%doc LICENSE

%changelog
* Sun Jun 23 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 20240109-1mamba
- update to 20240109

* Mon Feb 20 2023 Automatic Build System <autodist@mambasoft.it> 20230219-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 20230201-1mamba
- automatic version update by autodist

* Fri Dec 30 2022 Automatic Build System <autodist@mambasoft.it> 20221229-1mamba
- automatic version update by autodist

* Mon Nov 07 2022 Automatic Build System <autodist@mambasoft.it> 20221106-1mamba
- automatic version update by autodist

* Sun Jan 30 2022 Automatic Build System <autodist@mambasoft.it> 20220128-1mamba
- automatic version update by autodist

* Sat Jan 15 2022 Automatic Build System <autodist@mambasoft.it> 20220114-1mamba
- automatic version update by autodist

* Mon Jan 10 2022 Automatic Build System <autodist@mambasoft.it> 20220109-1mamba
- automatic version update by autodist

* Mon Jan 03 2022 Automatic Build System <autodist@mambasoft.it> 20220101-1mamba
- automatic version update by autodist

* Sat Dec 25 2021 Automatic Build System <autodist@mambasoft.it> 20211224-1mamba
- automatic version update by autodist

* Mon Aug 09 2021 Automatic Build System <autodist@mambasoft.it> 20210808-1mamba
- automatic version update by autodist

* Tue Aug 03 2021 Automatic Build System <autodist@mambasoft.it> 20210802-1mamba
- automatic version update by autodist

* Sun Jun 20 2021 Automatic Build System <autodist@mambasoft.it> 20210619-1mamba
- automatic version update by autodist

* Fri May 21 2021 Automatic Build System <autodist@mambasoft.it> 20210520-1mamba
- automatic version update by autodist

* Mon Mar 29 2021 Automatic Build System <autodist@mambasoft.it> 20210328-1mamba
- automatic version update by autodist

* Sun Jan 10 2021 Automatic Build System <autodist@mambasoft.it> 20210109-1mamba
- automatic version update by autodist

* Sat Sep 12 2020 Automatic Build System <autodist@mambasoft.it> 20200910-1mamba
- automatic update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 20191103-1mamba
- automatic version update by autodist

* Tue Jul 02 2019 Automatic Build System <autodist@mambasoft.it> 20190617-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 20180609-1mamba
- update to 20180609

* Fri Aug 04 2017 Automatic Build System <autodist@mambasoft.it> 20170709-1mamba
- automatic version update by autodist

* Fri Feb 03 2017 Automatic Build System <autodist@mambasoft.it> 20170201-1mamba
- automatic version update by autodist

* Mon Dec 19 2016 Automatic Build System <autodist@mambasoft.it> 20161202-1mamba
- automatic version update by autodist

* Tue Jun 07 2016 Automatic Build System <autodist@mambasoft.it> 20160606-1mamba
- automatic version update by autodist

* Tue Mar 29 2016 Automatic Build System <autodist@mambasoft.it> 20160324-1mamba
- automatic version update by autodist

* Tue Jul 28 2015 Automatic Build System <autodist@mambasoft.it> 20150711-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Automatic Build System <autodist@mambasoft.it> 20141128-1mamba
- automatic update by autodist

* Sat Oct 18 2014 Automatic Build System <autodist@mambasoft.it> 20141006-1mamba
- automatic update by autodist

* Wed Jul 23 2014 Automatic Build System <autodist@mambasoft.it> 20140715-1mamba
- automatic update by autodist

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 20140527-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 20140422-1mamba
- automatic update by autodist

* Mon Sep 30 2013 Automatic Build System <autodist@mambasoft.it> 20130925-1mamba
- automatic update by autodist

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 20130304-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 20121003-1mamba
- automatic version update by autodist

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 20120526-1mamba
- automatic version update by autodist

* Sat Sep 10 2011 Automatic Build System <autodist@mambasoft.it> 20110908-1mamba
- automatic version update by autodist

* Fri Feb 04 2011 gil <puntogil@libero.it> 20101229-1mamba
- update to 20101229

* Wed Nov 10 2010 gil <puntogil@libero.it> 20100610-1mamba
- update to 20100610

* Mon Jan 12 2009 gil <puntogil@libero.it> 20080826-1mamba
- package created by autospec
